# Generated by Django 4.2.7 on 2024-01-15 06:08

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Cliente',
            fields=[
                ('id_bf', models.AutoField(primary_key=True, serialize=False)),
                ('nombre_bf', models.CharField(max_length=150)),
                ('direccion_bf', models.TextField(blank=True, null=True)),
                ('telefono_bf', models.CharField(blank=True, max_length=20, null=True)),
                ('email_bf', models.EmailField(blank=True, max_length=254, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Ingrediente',
            fields=[
                ('id_bf', models.AutoField(primary_key=True, serialize=False)),
                ('nombre_bf', models.CharField(max_length=100)),
                ('cantidad_disponible_bf', models.DecimalField(blank=True, decimal_places=2, max_digits=10, null=True)),
                ('fecha_expiracion_bf', models.DateField(blank=True, null=True)),
                ('imagen_bf', models.FileField(blank=True, null=True, upload_to='ingredientes')),
            ],
        ),
        migrations.CreateModel(
            name='Platillo',
            fields=[
                ('id_bf', models.AutoField(primary_key=True, serialize=False)),
                ('nombre_bf', models.CharField(max_length=100)),
                ('descripcion_bf', models.TextField(blank=True, null=True)),
                ('preparacion_bf', models.TextField(blank=True, null=True)),
                ('precio_bf', models.DecimalField(blank=True, decimal_places=2, max_digits=10, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Provincia',
            fields=[
                ('id_bf', models.AutoField(primary_key=True, serialize=False)),
                ('nombre_bf', models.CharField(max_length=100)),
                ('codigo_bf', models.CharField(blank=True, max_length=10, null=True)),
                ('capital_bf', models.CharField(blank=True, max_length=50, null=True)),
                ('region_bf', models.CharField(blank=True, max_length=50, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Tipo',
            fields=[
                ('id_bf', models.AutoField(primary_key=True, serialize=False)),
                ('nombre_bf', models.CharField(max_length=100)),
                ('descripcion_bf', models.TextField(blank=True, null=True)),
                ('categoria_bf', models.CharField(blank=True, max_length=50, null=True)),
                ('precio_bf', models.DecimalField(blank=True, decimal_places=2, max_digits=10, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Receta',
            fields=[
                ('id_bf', models.AutoField(primary_key=True, serialize=False)),
                ('cantidad_necesaria_bf', models.DecimalField(decimal_places=2, max_digits=10)),
                ('tiempo_prepraracion_bf', models.CharField(max_length=20)),
                ('instrucciones_bf', models.TextField(blank=True, null=True)),
                ('comentario_bf', models.TextField(blank=True, null=True)),
                ('ingrediente', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='Restaurante.ingrediente')),
                ('platillo', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='Restaurante.platillo')),
            ],
        ),
        migrations.AddField(
            model_name='platillo',
            name='tipo',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='Restaurante.tipo'),
        ),
        migrations.CreateModel(
            name='Pedido',
            fields=[
                ('id_bf', models.AutoField(primary_key=True, serialize=False)),
                ('fecha_pedido_bf', models.DateField()),
                ('tipo_servicio_bf', models.CharField(blank=True, max_length=50, null=True)),
                ('metodo_pago_bf', models.CharField(blank=True, max_length=50, null=True)),
                ('estado_bf', models.CharField(blank=True, max_length=20, null=True)),
                ('cliente', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='Restaurante.cliente')),
            ],
        ),
        migrations.CreateModel(
            name='Detalle',
            fields=[
                ('id_bf', models.AutoField(primary_key=True, serialize=False)),
                ('descuento_bf', models.DecimalField(decimal_places=2, default=0.0, max_digits=5)),
                ('impuesto_bf', models.DecimalField(decimal_places=2, default=0.0, max_digits=5)),
                ('total_bf', models.DecimalField(blank=True, decimal_places=2, max_digits=10, null=True)),
                ('fecha_creacion_bf', models.DateTimeField(auto_now_add=True)),
                ('pedido', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='Restaurante.pedido')),
                ('platillo', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='Restaurante.platillo')),
            ],
        ),
        migrations.AddField(
            model_name='cliente',
            name='provincia',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='Restaurante.provincia'),
        ),
    ]
